import java.io.*;
import java.applet.*;
import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;

public class graph5 extends JApplet  
{ 
    final static Color kirmizi=Color.red;
    final static Color beyaz=Color.white;
    final static Color siyah=Color.black;

  public void init()
  {      
  }

    public void paint(Graphics g) 
    {   Graphics2D g2 = (Graphics2D)g;
        g2.setPaint(Color.black);
        Line2D l=new Line2D.Double(50,50,100,75);
        g2.draw(l);
        //kesik çizgi
        g2.setStroke(new BasicStroke(1f,BasicStroke.CAP_ROUND,
        BasicStroke.JOIN_ROUND,1f,new float[] {5f},0f));
        Line2D l1=new Line2D.Double(50,150,100,175);
        g2.draw(l1);
    }

    public static void main(String s[])
    {
        JFrame f = new JFrame("Grafik ekran genel programı");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        JApplet applet = new graph5();
        f.getContentPane().add("Center", applet);
        applet.init();
        f.pack();
        f.setSize(new Dimension(800,400));
        f.show();
    }
}





